part of "router.dart";

/// Created by Haoyi on 2022/1/29

class RoutingObserver {
  static final BehaviorSubject<Routing> _routing = BehaviorSubject.seeded(Routing());

  static Stream<Routing> get observableRouting => _routing.stream;

  static Routing get currentRouting => _routing.value;

  static void listener(Routing? routing) {
    if (routing != null) {
      _routing.addEx(routing);
    }
  }
}
